#!/usr/bin/perl

package Coligacao;

sub new {
	my $class = shift;
	my $self = {
		nomeColigacao => shift,
		votoColigacao => shift,
		qCandColigacao => shift,
	};
	bless $self, $class;
	return $self;
}

sub get_NomeColigacao{
	my $self = shift;
	return $self->{nomeColigacao};
}

sub set_NomeColigacao{
	my($self, $nomeColigacao) = @_;
	$self->{nomeColigacao} = $nomeColigacao;
	return $self;
}

sub get_QCandColigacao{
	my $self = shift;
	return $self->{qCandColigacao};
}

sub set_QCandColigacao{
	my($self, $qCandColigacao) = @_;
	$self->{qCandColigacao} = $qCandColigacao;
}

sub get_VotoColigacao{
	my $self = shift;
	return $self->{votoColigacao};
}

sub set_VotoColigacao{
	my($self, $votoColigacao) = @_;
	$self->{votoColigacao} = $votoColigacao;
}

sub incrementaVoto{
	my($self, $votoColigacao) = @_;
	$self->{votoColigacao} += $votoColigacao;
	return $self;
}

sub incrementaCandidato{
	my($self) = @_;
	$self->{qCandColigacao}++;
	return $self;
}
1;