#!/usr/bin/perl

package Partido;

use Coligacao;

sub new {
	my $class = shift;
	my $self = {
		nomePartido => shift,
		votoPartido => shift,
		qCandPartido => shift,
	};
	bless $self, $class;
	return $self;
}

sub get_NomePartido{
	my $self = shift;
	return $self->{nomePartido};
}

sub set_NomePartido{
	my($self, $nomePartido) = @_;
	$self->{nomePartido} = $nomePartido;
	return $self;
}

sub get_QCandPartido{
	my $self = shift;
	return $self->{qCandPartido};
}

sub set_QCandPartido{
	my($self, $qCandPartido) = @_;
	$self->{qCandPartido} = $qCandPartido;
}

sub get_VotoPartido{
	my $self = shift;
	return $self->{votoPartido};
}

sub set_VotoPartido{
	my($self, $votoPartido) = @_;
	$self->{votoPartido} = $votoPartido;
}

sub get_Coligacao{
	my $self = shift;
	return $self->{coligacao};
}

sub set_Coligacao{
	my($self, $coligacao) = @_;
	$self->{coligacao} = $coligacao;
	return $self;
}

sub incrementaVoto{
	my($self, $votoPartido) = @_;
	$self->{votoPartido} += $votoPartido;
	return $self;
}

sub incrementaCandidato{
	my($self) = @_;
	$self->{qCandPartido}++;
	return $self;
}
1;